# Custom BIND DNS server

TODO WORK IN PROGRESS

Written by Wyatt J. Miller, 2024

## Table of Contents

1. Prerequisites
2. Pulling
3. Installing
4. Running

## Prerequisites

- `systemd` (typically already installed)
- OCI container runtime
  - Podman is preferred
- `podlet`

## Pulling

> [!NOTE]
> This container is to be run as a service and will be treated as such. This
> README will show you how to set this up as a service through `systemd` but
> other avenues are more than welcome

Pull this container from the command below:


```bash
podman pull scm.wyattjmiller.com/wymiller/bind-dns-server:latest
```

or you can build this Containerfile yourself!


```bash
git clone http://scm.wyattjmiller.com/wymiller/custom-containers.git
cd custom-containers/
podman build -t bind-dns-server -f specilaty-containers/bind/Containerfile
```

There are dedicated configuration files that are copied from the file system to
the container so it is recommended to build this container instead of pulling
it. Pulling the container only allows you to run only a sample DNS server.

> [!IMPORTANT]
> If you pull this image yourself and don't build the image from scratch, your
> image name will different! Remember this name in future steps.

Note to Wyatt: Pull your own DNS configuration from git

## Installing


